# GroupEventMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message / GroupEventMessage

# GroupEventMessage

(common) `data class GroupEventMessage : ChatEventMessage` (source)

### Constructors

(common)

#### <init>

`GroupEventMessage(messageId: MessageIdentifier, chat: GroupChat, chatEvent: GroupEvent, date: DateTime)`

### Properties

(common)

#### chat

`val chat: GroupChat`

(common)

#### chatEvent

`val chatEvent: GroupEvent`

(common)

#### date

`val date: DateTime`

(common)

#### messageId

`val messageId: MessageIdentifier`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`